<!--begin::Form-->
<form
  class="form w-100"
 z [formGroup]="loginForm"
  novalidate="novalidate"
  id="kt_login_signin_form"
  (ngSubmit)="submit()"
>
  <!--begin::Heading-->
  <div class="text-center mb-10">
    <h1 class="text-dark mb-3">Sign In to Farmbook Portal</h1>
  </div>
  <!--end::Heading-->
  <!-- begin::Alert error-->
  <ng-container *ngIf="hasError">
    <div class="mb-lg-15 alert alert-danger">
      <div class="alert-text font-weight-bold">
        The login details are incorrect
      </div>
    </div>
  </ng-container>
  <!-- end::Alert error-->

  <!--begin::Form group-->
  <div class="fv-row mb-10">
    <label class="form-label fs-6 fw-bolder text-dark">Username</label>
    <input
      class="form-control form-control-lg form-control-solid"
      type="text"
      name="username"
      formControlName="username"
      autocomplete="off"
      [ngClass]="{
        'is-invalid': loginForm.controls['username'].invalid,
        'is-valid': loginForm.controls['username'].valid
      }"
    />
    <ng-container
      [ngTemplateOutlet]="formError"
      [ngTemplateOutletContext]="{
        validation: 'required',
        message: 'Username is required',
        control: loginForm.controls['username']
      }"
    ></ng-container>    
  </div>
  <!--end::Form group-->

  <!--begin::Form group-->
  <div class="fv-row mb-10">
    <div class="d-flex justify-content-between mt-n5">
      <div class="d-flex flex-stack mb-2">
        <label class="form-label fw-bolder text-dark fs-6 mb-0">Password</label>
      </div>
    </div>

    <input
      class="form-control form-control-lg form-control-solid"
      type="password"
      name="password"
      autocomplete="off"
      formControlName="password"
      [ngClass]="{
        'is-invalid': loginForm.controls['password'].invalid,
        'is-valid': loginForm.controls['password'].valid
      }"
    />
    <!-- <div class="d-flex justify-content-between">
      <div class="d-flex flex-stack mt-5">
                <a
          routerLink="/auth/forgot-password"
          class="link-primary fs-6 fw-bolder"
          id="kt_login_forgot"
          [style.margin-left]="'5px'"
        >
          Forgot Password ?
        </a>
      </div>
    </div> -->
    <ng-container
      [ngTemplateOutlet]="formError"
      [ngTemplateOutletContext]="{
        validation: 'required',
        message: 'Password is required',
        control: loginForm.controls['password']
      }"
    ></ng-container>
   
  </div>
  <!--end::Form group-->

  <!--begin::Action-->
  <div class="text-center">
    <button
      type="submit"
      id="kt_sign_in_submit"
      class="btn btn-lg btn-primary w-100 mb-5"
      [disabled]="loginForm.invalid"
    >
      <ng-container *ngIf="isLoading$ | async">
        <span class="indicator-progress" [style.display]="'block'">
          Please wait...
          <span
            class="spinner-border spinner-border-sm align-middle ms-2"
          ></span>
        </span>
      </ng-container>
      <ng-container *ngIf="!(isLoading$ | async)">
        <span class="indicator-label">Sign In</span>
      </ng-container>
    </button>

    </div>
  <!--end::Action-->
</form>
<!--end::Form-->

<ng-template
  #formError
  let-control="control"
  let-message="message"
  let-validation="validation"
>
  <ng-container
    *ngIf="control.hasError(validation) && (control.dirty || control.touched)"
  >
    <div class="fv-plugins-message-container">
      <span role="alert">
        {{ message }}
      </span>
    </div>
  </ng-container>
</ng-template>
